package com.qxgmat.data.constants.enums.module;

public enum PaperModule {
    EXERCISE("exercise"),
    EXAMINATION("examination"),
    COLLECT("collect"),
    ERROR("error"),
    HOMEWORK_PREVIEW("homework_preview"),
    TEXTBOOK("textbook"),
    SENTENCE("sentence"),
    ;
    public String key;
    private PaperModule(String key){
        this.key = key;
    }

    public static PaperModule ValueOf(String name){
        if (name == null) return null;
        return PaperModule.valueOf(name.toUpperCase());
    }
}
